STRIP(1)

NAME
strip - discard information from ELF objects

SYNOPSIS
strip [-d | -g | -S | --strip-debug] [-h | --help] [--only-keep-debug] [-o outputfile | --output-file=outputfile] [-p | --preserve-dates] [-s | --strip-all] [--strip-unneeded] [-w | --wildcard] [-x | --discard-all] [-I format | --input-target=format] [-K symbol | --keep-symbol=symbol] [-N symbol | --strip-symbol=symbol] [-O format | --output-target=format] [-R sectionname | --remove-section=sectionname] [-V | --version] [-X | --discard-locals] file ...

DESCRIPTION
The strip utility is used to discard information from ELF objects.

The strip utility supports the following options:

-d | -g | -S | --strip-debug
    Remove debugging symbols only.

-h | --help
    Print a help message and exit.

--only-keep-debug
    Remove all content except that which would be used for debugging.

-o outputfile | --output-file=outputfile
    Write the stripped object to file outputfile. The default behaviour is to modify objects in place.

-p | --preserve-dates
    Preserve the object's access and modification times.

-s | --strip-all
    Remove all symbols.

--strip-unneeded
    Remove all symbols not needed for further relocation processing.

-w | --wildcard
    Use shell-style patterns to name symbols. The following meta-characters are recognized in patterns:
    !   If this is the first character of the pattern, invert the sense of the pattern match.
    *   Matches any string of characters in a symbol name.
    ?   Matches zero or one character in a symbol name.
    [   Mark the start of a character class.
    \   Remove the special meaning of the next character in the pattern.
    ]   Mark the end of a character class.

-x | --discard-all
    Discard all non-global symbols.

-I format | --input-target=format
    These options are accepted, but are ignored.

-K symbol | --keep-symbol=symbol
    Keep the symbol symbol even if it would otherwise be stripped. This option may be specified multiple times.

-N symbol | --strip-symbol=symbol
    Remove the symbol symbol even if it would otherwise have been kept. This option may be specified multiple times.

-O format | --output-target=format
    Set the output file format to format. For the full list of supported formats, please see the documentation for function elftc_bfd_find_target(3).

-R sectionname | --remove-section=sectionname
    Remove the section named by the argument sectionname. This option may be specified multiple times.

-V | --version
    Print a version identifier and exit.

-X | --discard-locals
    Remove compiler-generated local symbols.

DIAGNOSTICS

SEE ALSO
ar(1), elfcopy(1), ld(1), mcs(1), elf(3), elftc_bfd_find_target(3), fnmatch(3)